【安全通报】PPP协议曝出高危RCE漏洞

tianqi1  124天前


22.jpg

近日,US-CERT向用户发出警告,PPP daemon软件存在一个17年历史的远程执行代码漏洞。该漏洞会影响几乎所有基于Linux的操作系统PPP daemon软件(而且和众多网络设备的固件有关)。

PPP daemon软件是点对点协议的具体实现,该协议支持节点之间的通信和数据传输,主要用于建立各类网络链接(例如通过拨号调制解调器,DSL宽带连接和虚拟专用网络所建立的链接)。

IOActive的安全研究员Ilja Van Sprundel发现,CVSS评分是9.8。未经身份验证的攻击者可以利用此漏洞在受影响的系统上远程执行任意代码,完全控制目标设备

攻击者若要发起攻击,可通过串行链路,ISDN,以太网,SSH,SOcket CAT,PPTP,GPRS或ATM网络将格式错误的EAP数据包发送到存在缺陷的PPP客户端。

危害等级

严重

漏洞原理

漏洞主要和将所提供的数据复制到内存之前验证输入大小不正确有关,任意数据都可以复制到内存中,导致出现内存损坏,恶意代码被执行。

由于PPPD通常以高权限与内核驱动程序一起运行,因此攻击者可借此以root权限执行恶意代码。

该漏洞存在于EAP解析代码中,特别是在eap.c中由网络输入处理程序所调用的eap_request()和eap_response()函数

即使未启用EAP,经过身份验证的攻击者仍然能够发送恶意EAP数据包触发缓冲区溢出。

33.png

漏洞影响

2.4.2=<Point-to-Point Protocol Daemon=<2.4.8

影响的部分系统:

影响的部分产品:

漏洞编号

CVE-2020-8597

修复建议

目前在官方尚未发布针对漏洞的Release 版本,可将PPP升级至 8d7970b8f3db727fe798b65f3377fe6787575426 (git commit id) 

参考

[1] https://nvd.nist.gov/vuln/detail/CVE-2020-8597#vulnCurrentDesc riptionTitle

[2] https://cert.360.cn/warning/detail?id=b41ffdb8a90a58c0c263b84a03ed22fa

[3] https://thehackernews.com/2020/03/ppp-daemon-vulnerability.html

白帽汇从事信息安全,专注于安全大数据、企业威胁情报。

公司产品:FOFA-网络空间安全搜索引擎、FOEYE-网络空间检索系统、NOSEC-安全讯息平台。

为您提供:网络空间测绘、企业资产收集、企业威胁情报、应急响应服务。



最新评论

昵称
邮箱
提交评论

友情链接:FOFA FOEYE BCSEC BAIMAOHUI 安全客 i春秋 指尖安全

nosec.org All Rights Reserved 京ICP备15042518号